/* error.c - error handling for the jvrand library
 *
 * Copyright (C) 2001  Jochen Voss.  */

static const  char  rcsid[] = "$Id: error.c 5876 2004-08-14 10:36:54Z voss $";

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <stdio.h>
#include <stdlib.h>

#include "jvrand-p.h"


void
jvrand_error (const char *msg)
{
  fprintf (stderr, "error: %s\n", msg);
  exit (1);
}
