/* init.c - initialise the library
 *
 * Copyright (C) 2001, 2005  Jochen Voss.  */

static const  char  rcsid[] = "$Id: init.c 6503 2005-07-05 22:33:38Z voss $";

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <stdlib.h>
#include <time.h>
#ifdef HAVE_GETPID
#include <unistd.h>
#include <sys/types.h>
#endif

#include "jvrand-p.h"


void
jvrand_init (void)
{
  unsigned long  seed [2];
  int  n = 0;

  seed[n++] = time (NULL);
#ifdef HAVE_GETPID
  seed[n++] = getpid ();
#endif
  jvrand_set_seed2 (seed, n);
}
