/* uniform.c - continuous uniform distribution
 *
 * Copyright (C) 2001  Jochen Voss.  */

static const  char  rcsid[] = "$Id: uniform.c 6503 2005-07-05 22:33:38Z voss $";

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include "jvrand-p.h"


double
jvrand_uniform (double a, double b)
/* Return random numbers, uniformly distributed in the range '[a;b)'.  */
{
  return  a + (b-a)*jvrand_real2();
}
