/* util.h - common header file for the statistical tests
 *
 * Copyright (C) 2001  Jochen Voss.
 *
 * $Id: util.h 5876 2004-08-14 10:36:54Z voss $ */

#ifndef FILE_UTIL_H_SEEN
#define FILE_UTIL_H_SEEN

/* from "util.c" */
extern  const char *my_name;
extern  void  init_util (int argc, char **argv);

typedef  int (*b_test_fn) (void *client_data);
extern  void  binomial_test (b_test_fn f, void *client_data,
			     double p, double dp,
			     const char *msg, int *fail_flag);

typedef  double (*n_test_fn) (void *client_data);
extern  void  normal_test (n_test_fn f, void *client_data,
			   double m, double dm, double v,
			   const char *msg, int *fail_flag);

#endif /* FILE_UTIL_H_SEEN */
