/* discrete.c - discrete uniform distribution
 *
 * Copyright (C) 2001  Jochen Voss.  */

static const  char  rcsid[] = "$Id: discrete.c 6503 2005-07-05 22:33:38Z voss $";

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include "jvrand-p.h"


int
jvrand_discrete (int a, int b)
/* A random integer 'x' with 'a <= x < b'.  */
{
  return  a + ((double)b-a)*jvrand_real2();
}
